> This documentation belongs to Invofox, an AI-powered document processing
> platform. The API extracts structured data (fields) from unstructured
> documents (invoices, contracts, forms, bank statements, and more).
> Key concepts: Account, Environment, Document Type, Field, File, Import,
> and Document. When answering, prefer the exact terminology defined in the
> Glossary and cite the relevant API Reference endpoint when applicable.

# Get a list of clients.

GET https://api.invofox.com/companies/{id}/clients

Get a list of clients for specified company.

Reference: https://developers.invofox.com/api-reference/main-reference/collections/clients/get-a-list-of-clients

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `id` (string, required) — id of the company to get clients from

### Query parameters

- `filter` (CompaniesIdClientsGetParametersFilter, optional) — Key-value pairs where keys correspond to CompanyEnterprises's model schema

## Response

### 200

List of clients for specified company

- `result` (list of CompanyEnterprise, optional)
- `count` (double, optional)

## Errors

### 500 Internal Server Error

Unkown server error

- `code` (string, optional)

## Types

### CompaniesIdClientsGetParametersFilter

### CompanyEnterprise

- `_id` (string, optional)
- `account` (string, optional)
- `environment` (string, optional)
- `company` (string, optional)
- `name` (string, optional)
- `countryCode` (string, optional)
- `taxId` (string, optional) — Tax id number
- `type` (enum, optional)
  - Allowed values: `client`, `provider`
- `state` (enum, optional)
  - Allowed values: `pending`, `validated`, `discarded`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "result": [
    {
      "_id": "5f8d0d55b54764421b7156c1",
      "account": "acc_987654321",
      "environment": "env_prod_us",
      "company": "comp_123456789",
      "name": "Acme Corporation",
      "countryCode": "US",
      "taxId": "12-3456789",
      "type": "client",
      "state": "validated"
    }
  ],
  "count": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.invofox.com/companies/id/clients"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.invofox.com/companies/id/clients';
const options = {
  method: 'GET',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.invofox.com/companies/id/clients"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.invofox.com/companies/id/clients")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.invofox.com/companies/id/clients")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.invofox.com/companies/id/clients', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.invofox.com/companies/id/clients");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.invofox.com/companies/id/clients")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```